Package org.apache.jmeter.protocol.http.util

# Class HTTPResultConverter

java.lang.Object
com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
org.apache.jmeter.save.converters.SampleResultConverter
org.apache.jmeter.protocol.http.util.HTTPResultConverter

All Implemented Interfaces:
  `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

public class HTTPResultConverter extends SampleResultConverter
Class for XStream conversion of HTTPResult

## Field Summary

### Fields inherited from class org.apache.jmeter.save.converters.SampleResultConverter

`TAG_COOKIES, TAG_METHOD, TAG_QUERY_STRING, TAG_REDIRECT_LOCATION, TAG_REQUEST_HEADER, TAG_RESPONSE_DATA, TAG_RESPONSE_FILE, TAG_RESPONSE_HEADER, TAG_SAMPLER_DATA`

## Constructor Summary

Constructors
Constructor
Description
`HTTPResultConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`void`
`marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`Object`
`unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

### Methods inherited from class org.apache.jmeter.save.converters.SampleResultConverter

`readFile, retrieveAttributes, retrieveItem, saveAssertions, saveRequestHeaders, saveResponseData, saveResponseHeaders, saveSamplerData, saveSubResults, setAttributes, writeString`

### Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

`createCollection, mapper, readBareItem, readCompleteItem, readItem, writeBareItem, writeCompleteItem, writeItem, writeNullItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HTTPResultConverter

public HTTPResultConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

Parameters:
  `arg0` - the mapper

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this component

### canConvert

public boolean canConvert(Class arg0)

Specified by:
  `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
Overrides:
  `canConvert` in class `SampleResultConverter`

### marshal

public void marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)

Specified by:
  `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
Overrides:
  `marshal` in class `SampleResultConverter`

### unmarshal

public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)

Specified by:
  `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
Overrides:
  `unmarshal` in class `SampleResultConverter`